/*
 * quick and dirty bitmap stuff
 * black and white bitmaps only
 */

#ifndef _bitmap_
#define _bitmap_

#include <Quickdraw.h>

#define nil ((void *)0L)

typedef struct {
	BitMap bm;
	Handle data;
} Bmap, *PBMap;

extern PBMap BMNew();
extern void BMDispose(PBMap p);
extern void BMSize(PBMap p, Rect *r);
extern void BMMoveTo(PBMap p, int x, int y);
extern void BMCopyBits(PBMap p, BitMap *pdbm, Rect *sr, Rect *dr, int m, RgnHandle c);
extern void BMErase(PBMap p);
extern void BMDraw(PBMap p);
extern void BMInBitMapDo(PBMap p, void (*f)(), void *d);

#endif